# Verification Detail

Source: https://docs.gocardless.com/docs/api-reference/verification-detail

## Create a verification detail

`POST /verification_details`

Creates a new verification detail

### Request body

Wrap request body attributes in a `verification_details` object.

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| `name` | string | No | The company's legal name. |
| `company_number` | string | No | The company's registration number. |
| `description` | string | No | A summary describing what the company does. |
| `address_line1` | string | No | The first line of the company's address. |
| `address_line2` | string | No | The second line of the company's address. |
| `address_line3` | string | No | The third line of the company's address. |
| `city` | string | No | The city of the company's address. |
| `postal_code` | string | No | The company's postal code. |
| `directors` | array | No | The company's directors. |
| `links` | object | No |  |

### Responses

| Status | Description |
| --- | --- |
| 201 | Resource created successfully |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |

---

## List verification details

`GET /verification_details`

Returns a list of verification details belonging to a creditor.

### Responses

| Status | Description |
| --- | --- |
| 200 | Successful response |
| 400 | Bad Request |
| 401 | Unauthorised |
| 404 | Not found |
| 422 | Validation Error |
| 500 | Internal Error |
